apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaUser
metadata:
  name: service-account-{{ .Values.oauth.keycloakClientId }}-kafka-connect
  namespace: {{ include "kafka-cluster.namespace" . }}
  labels:
    strimzi.io/cluster: {{ include "kafka-cluster.fullname" . }}
    {{- include "kafka-cluster.labels" . | nindent 4 }}
spec:
  authorization:
    type: simple
    acls:
      - resource:
          type: topic
          name: "*"
          patternType: literal
        operations:
          - Read
          - Describe
          - DescribeConfigs
          - Write
      - resource:
          type: group
          name: "*"
          patternType: literal
        operations:
          - Read
          - Write
          - Describe